Package org.apache.lucene.search.highlight

# Class InvalidTokenOffsetsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.lucene.search.highlight.InvalidTokenOffsetsException

All Implemented Interfaces:
  `Serializable`

public class InvalidTokenOffsetsException extends Exception
Exception thrown if TokenStream Tokens are incompatible with provided text

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidTokenOffsetsException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidTokenOffsetsException

public InvalidTokenOffsetsException(String message)